#!/bin/bash

set -eo pipefail

source scripts/_common.sh

BUNDLE_PROJECT=""
CATALOG_SOURCE_IMAGE=""
if "$CERTIFIED"; then
  BUNDLE_PROJECT="$GITLAB_RUNNER_OPERATOR_BUNDLE_CONNECT_NAMESPACE"
  CATALOG_SOURCE_IMAGE="$UPSTREAM_OPERATOR_IMAGES_REPOSITORY/$GITLAB_RUNNER_OPERATOR_CATALOG_SOURCE_IMAGE_CERTIFIED"
else
  BUNDLE_PROJECT="$GITLAB_RUNNER_OPERATOR_BUNDLE_UPSTREAM_NAMESPACE"
  CATALOG_SOURCE_IMAGE="$UPSTREAM_OPERATOR_IMAGES_REPOSITORY/$GITLAB_RUNNER_OPERATOR_CATALOG_SOURCE_IMAGE_UPSTREAM"
fi

opm index add \
  --bundles "$BUNDLE_PROJECT/$GITLAB_RUNNER_OPERATOR_BUNDLE_IMAGE" \
  --tag "$CATALOG_SOURCE_IMAGE" \
  --build-tool docker

docker push "$CATALOG_SOURCE_IMAGE"